Issue63

classification
Title smtpmail believes starttls is not needed (solved)
Type defect Module mail-lib
Severity inconvenience Platform N/A
Keywords Nosy List
explanation
process
These controls should only be changed by committers and tracker administrators.
Status closed   Reason superseded
Superseder [Bug: 21.4.20] smtpmail believes starttls is not needed
View: 112
  Submitted 2007-10-26.22:00:00
Priority normal   Assigned To

Created on 2008-01-19.04:58:02 by stephen, last changed 2008-04-05.03:48:29 by FKtPp.

Messages
msg659 [hidden] ([hidden]) Date: 2008-04-05.03:48:29
superseded by issue112
msg76 [hidden] ([hidden]) Date: 2008-01-19.04:58:02
  Message-ID: <87ejfh2n6v.fsf@uwakimon.sk.tsukuba.ac.jp>
Jason Rumney writes:
 > Stephen J. Turnbull wrote:
 > > And this kind of thing is why.  `with-no-warnings' and similar often
 > > inadvertantly hide real problems.
 > 
 > In this case the problem was hidden by the (condition-case ... (error nil))

Just one of the pitfalls I meant by "and similar".  Two such
constructs in a single function?  Ouch!

_______________________________________________
XEmacs-Beta mailing list
XEmacs-Beta@xemacs.org
http://calypso.tux.org/cgi-bin/mailman/listinfo/xemacs-beta
msg75 [hidden] ([hidden]) Date: 2008-01-19.04:58:02
  Message-ID: <873avx5yfz.fsf@uwakimon.sk.tsukuba.ac.jp>
Fran├žois Puitg writes:

 > You're   definitely  right. No   with-no-warnings  function in  XEmacs
 > 21.4.20.

And if I have anything to say about it, there won't be one.

 > Thanks a lot, I've spent such a long  time on this, believing that the
 > problem was in my smtpmail-starttls-credentials setup.

And this kind of thing is why.  `with-no-warnings' and similar often
inadvertantly hide real problems.  It's also unnecessary in XEmacs.

_______________________________________________
XEmacs-Beta mailing list
XEmacs-Beta@xemacs.org
http://calypso.tux.org/cgi-bin/mailman/listinfo/xemacs-beta
History
Date User Action Args
2008-04-05 03:48:29FKtPpsetstatus: chatting -> closed
priority: normal
reason: superseded
type: defect
severity: inconvenience
platform: + N/A
messages: + msg659
superseder: + [Bug: 21.4.20] smtpmail believes starttls is not needed
module: + mail-lib
2008-01-19 04:58:02stephensetstatus: new -> chatting
messages: + msg76
2008-01-19 04:58:02stephencreate